using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace NTK2019.Web.Models
{
    public class MetricViewModel
    {
        public string MetricId { get; set; }
        public string Timespan { get; set; }
        public string Interval { get; set; }
        public string Filter { get; set; }
        
        public List<SelectListItem> TimeSpanList  = new List<SelectListItem>
        {
            new SelectListItem("Dan nazaj","P1D"),
            new SelectListItem("7 dni nazaj","P7D"),
            new SelectListItem("Zadnjih 12 ur","PT12H")
        }; 
        
        public List<SelectListItem> IntervalList  = new List<SelectListItem>
        {
            new SelectListItem("Dan nazaj","P1D"),
            new SelectListItem("1 uro nazaj","PT1H"),
            new SelectListItem("Zadnjih 12 ur","PT12H")
        };
        
        public List<SelectListItem> MetricList  = new List<SelectListItem>
        {
            new SelectListItem("Število zahtevkov","requests/count"),
            new SelectListItem("Čas trajanja zahtevkov","requests/duration"),
            new SelectListItem("Število napak","exceptions/count")
        };

        public MetricViewModel()
        {
            MetricResult = new MetricResult();
        }

        public MetricResult MetricResult { get; set; }
    }
}