using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using NTK2019.Web.Interfaces;

namespace NTK2019.Web.Controllers
{
    public class MonitorController : Controller
    {
        private readonly IMonitorService monitorService;
        
        public MonitorController(IMonitorService monitorService)
        {
            this.monitorService = monitorService;
        }

        public async Task<IActionResult> Index()
        {
            var monitorViewModels = await monitorService.GetMetricsForStorageAsync();
            return View(monitorViewModels);
        }
    }
}