using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace NTK2019.Web.Models
{
    public class TraceViewModel
    {
        public string Message { get; set; }
        public string SeverityLevel { get; set; }

        public List<SelectListItem> SeverityLevels = new List<SelectListItem>
        {
            new SelectListItem(Microsoft.ApplicationInsights.DataContracts.SeverityLevel.Verbose.ToString(),
                Microsoft.ApplicationInsights.DataContracts.SeverityLevel.Verbose.ToString()),
            new SelectListItem(Microsoft.ApplicationInsights.DataContracts.SeverityLevel.Information.ToString(),
                Microsoft.ApplicationInsights.DataContracts.SeverityLevel.Information.ToString()),
            new SelectListItem(Microsoft.ApplicationInsights.DataContracts.SeverityLevel.Warning.ToString(),
                Microsoft.ApplicationInsights.DataContracts.SeverityLevel.Warning.ToString()),
            new SelectListItem(Microsoft.ApplicationInsights.DataContracts.SeverityLevel.Error.ToString(),
                Microsoft.ApplicationInsights.DataContracts.SeverityLevel.Error.ToString()),
            new SelectListItem(Microsoft.ApplicationInsights.DataContracts.SeverityLevel.Critical.ToString(),
                Microsoft.ApplicationInsights.DataContracts.SeverityLevel.Critical.ToString())
        };
    }
}